/**
 * Beallitasok tarolasa
 * @author Dombai Balazs
 */
public class Settings {
    
    /**
     * Konstruktor.
     */
    public Settings() {
	minSimilarity = 10;
	maxStep = 100;
	eps = 8;
	minMatches = 0;
    }
    
    public Settings(Settings s) {
	minSimilarity = s.getMinSimilarity();
	minMatches = s.getMinMatches();
	maxStep = s.getMaxStep();
	eps = s.getEps();
    }
    
    public int getMinSimilarity() {
	return minSimilarity;
    }
    
    public void setMinSimilarity(int min_similarity) {
	this.minSimilarity = min_similarity;
    }
    
    public int getMaxStep() {
	return maxStep;
    }
    
    public void setMaxStep(int max_step) {
	this.maxStep = max_step;
    }
    
    public int getEps() {
	return eps;
    }
    
    public void setEps(int eps) {
	this.eps = eps;
    }
    
    public int getMinMatches() {
	return minMatches;
    }
    
    public void setMinMatches(int minMatches) {
	this.minMatches = minMatches;
    }
    
    private int minSimilarity;
    private int minMatches;
    private int maxStep;
    private int eps;
    
}
